Bug 764852 - (GLUSTER-3120) Provide connection timeout between cli and glusterd
Provide connection timeout between cli and glusterd
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
3.1.4
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Vijay Bellur
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-03 11:23 EDT by Vijay Bellur
Modified: 2011-08-22 11:06 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vijay Bellur 2011-07-03 11:23:06 EDT
Currently, cli blocks for 120 seconds if glusterd is not running. Need a mechanism to reduce this timeout interval.
Comment 1 Anand Avati 2011-07-11 03:57:30 EDT
PATCH: http://patches.gluster.com/patch/7779 in release-3.1 (cli: Exit if glusterd is not operational in non-prompt modes)
Comment 2 Anand Avati 2011-07-11 04:07:58 EDT
PATCH: http://patches.gluster.com/patch/7761 in master (cli: Exit if glusterd is not operational in non-prompt modes)
Comment 3 Raghavendra Bhat 2011-07-28 23:51:53 EDT
Its fixed now. Checked with release-3.1 branch. And if glusterd is not running, then cli errors out with the error.


gluster volume create new bigbang:/tmp/new
Connection failed. Please check if gluster daemon is operational.
Comment 4 Anand Avati 2011-08-22 08:06:26 EDT
CHANGE: http://review.gluster.com/297 (Change-Id: Icab7965f570e3c422e5b18b89bc418f3598c2c4d) merged in release-3.2 by Vijay Bellur (vijay@gluster.com)

Note You need to log in before you can comment on or make changes to this bug.